[arvados] updated: 2.4.2-10-g1e0108e1a

git repository hosting git at public.arvados.org
Thu Sep 1 20:50:47 UTC 2022


Summary of changes:
 .../usr-local-bin-ensure-encrypted-partitions-aws-ebs-autoscale.sh    | 4 ++--
 .../scripts/usr-local-bin-ensure-encrypted-partitions.sh              | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

       via  1e0108e1a3b902565249ce0d82cc52644281d042 (commit)
      from  cb7142dda4fd77a8b400db7b12ad0fd0ef1cfefa (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.


commit 1e0108e1a3b902565249ce0d82cc52644281d042
Author: Peter Amstutz <peter.amstutz at curii.com>
Date:   Thu Sep 1 16:47:02 2022 -0400

    Use "systemctl disable" instead of "service docker stop" refs #19439
    
    "service docker stop" stops the daemon but it can be restarted from
    prematurely by socket activation.  Whoops!
    
    We need to use "systemctl disable" it so that it doesn't wake up
    during the scratch space surgery on the /tmp directory.
    
    Arvados-DCO-1.1-Signed-off-by: Peter Amstutz <peter.amstutz at curii.com>

diff --git a/tools/compute-images/scripts/usr-local-bin-ensure-encrypted-partitions-aws-ebs-autoscale.sh b/tools/compute-images/scripts/usr-local-bin-ensure-encrypted-partitions-aws-ebs-autoscale.sh
index 4b73c8bc4..abc63a2e9 100644
--- a/tools/compute-images/scripts/usr-local-bin-ensure-encrypted-partitions-aws-ebs-autoscale.sh
+++ b/tools/compute-images/scripts/usr-local-bin-ensure-encrypted-partitions-aws-ebs-autoscale.sh
@@ -24,7 +24,7 @@ if [ -d /etc/sv/docker.io ]
 then
   sv stop docker.io || service stop docker.io || true
 else
-  service docker stop || true
+  systemctl disable --now docker.service docker.socket || true
 fi
 
 ensure_umount "$MOUNTPATH/docker/aufs"
@@ -44,7 +44,7 @@ then
   ## runit
   sv up docker.io
 else
-  service docker start
+  systemctl enable --now docker.service docker.socket
 fi
 
 end=$((SECONDS+60))
diff --git a/tools/compute-images/scripts/usr-local-bin-ensure-encrypted-partitions.sh b/tools/compute-images/scripts/usr-local-bin-ensure-encrypted-partitions.sh
index 462158e04..a76dc1210 100644
--- a/tools/compute-images/scripts/usr-local-bin-ensure-encrypted-partitions.sh
+++ b/tools/compute-images/scripts/usr-local-bin-ensure-encrypted-partitions.sh
@@ -121,7 +121,7 @@ if [ -d /etc/sv/docker.io ]
 then
   sv stop docker.io || service stop docker.io || true
 else
-  service docker stop || true
+  systemctl disable --now docker.service docker.socket || true
 fi
 
 ensure_umount "$MOUNTPATH/docker/aufs"
@@ -143,7 +143,7 @@ then
   ## runit
   sv up docker.io
 else
-  service docker start
+  systemctl enable --now docker.service docker.socket || true
 fi
 
 end=$((SECONDS+60))

-----------------------------------------------------------------------


hooks/post-receive
-- 




More information about the arvados-commits mailing list